Bug 1887782 - Wrong detection of pending state in VM details
Summary: Wrong detection of pending state in VM details
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Tomas Jelinek
QA Contact: Guohua Ouyang
URL:
Whiteboard: ux_issue
: 1888218 (view as bug list)
Depends On: 1885138
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-13 10:52 UTC by Tomas Jelinek
Modified: 2021-01-08 15:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1885138
Environment:
Last Closed: 2020-12-14 13:50:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6923 0 None closed [release-4.6] Bug 1887782: Include CDI disk cloning to VM status 2020-12-09 11:02:49 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:50:44 UTC

Description Tomas Jelinek 2020-10-13 10:52:14 UTC
+++ This bug was initially created as a clone of Bug #1885138 +++

Description of problem:
When creating a VM from a golden image, while the data is being copied, the status shows "pending". That is wrong, this status means that the PVCs are not yet bound. The Correct status should be "Copying image (CDI)" and the popover should look very similar to the import from the URL one (without progress tracking since that is not supported).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a VM from golden image
2. Go to VM details
3.

Actual results:
The status is incorrect

Expected results:
The status is correct

Additional info:

--- Additional comment from Eric Paris on 2020-10-05 09:00:22 UTC ---

This bug sets Target Release equal to a z-stream but has no bug in the 'Depends On' field. As such this is not a valid bug state and the target release is being unset.

Any bug targeting 4.1.z must have a bug targeting 4.2 in 'Depends On.'
Similarly, any bug targeting 4.2.z must have a bug with Target Release of 4.3 in 'Depends On.'

Comment 1 Guohua Ouyang 2020-10-22 06:56:10 UTC
*** Bug 1888218 has been marked as a duplicate of this bug. ***

Comment 4 Guohua Ouyang 2020-12-10 00:57:24 UTC
Verified, the first status is "importing pending (CDI)" and becomes "Importing (CDI)" quickly.

Comment 6 errata-xmlrpc 2020-12-14 13:50:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.